The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Top Files

Prev Next

This URL gets the list of top files.

Resource URL

GET /ntbamonitors/{ntbaId}/topfiles? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>

Request Parameters

Field Name Description Data Type Mandatory
ntbaId NTBA monitor id Number Yes
TopN Number of top rows, default 50 Number No
timePeriod Duration: can be
  • LAST_MINUTE
  • LAST_10_MINUTES
  • LAST_HOUR
  • LAST_24_HOURS
  • CUSTOM

    Custom incase start and end time is provided

String No
startTime Start time in the format: yyyy-MM-dd HH:mm String No
endTime End time in the format: yyyy-MM-dd HH:mm String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
topFilesOnNetwork List of files Array

Details of topFilesOnNetwork:

Field Name Description Data Type
File File String
fileId File id Number
Count Count Number

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/topfiles?timePeriod=CUSTOM&startTime=2012-APR-20

Response

{
"topFilesOnNetwork":[{
"file":"test.txt",
"fileId":8389181,
"count":2}]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 4301 Invalid duration
2 400 4302 Invalid time format
3 400 4303 Start time is greater than end time
4 400 4304 Invalid date format
5 400 4305 Start/End date is not provided
6 400 4306 Invalid NTBA id